define(['jquery', 'core/modal_factory', 'core/modal_events'], function($, ModalFactory, ModalEvents) {

var getBody = function(lesson){
  var retVal = '<iframe border="0" frameborder="0" style="width:100%; height:500px"';
  retVal += ' src="https://play.seenkit.com/p/?mid='+lesson+'"></iframe>';
  return retVal;
};

  return{
    init: function(preview_label){
      $('#seenkitadd').on('click', function(event){
        event.preventDefault();
        window.location.href = '/local/seenkit/new_question.php?qid='+$(this).data('questionid')+
                                 '&cmid='+$(this).data('cmid')+
                                 '&returnurl='+$(this).data('returnurl');
        });

        var rl = $("[data-groupname='lessonsradioar']").children(".felement");
        rl.removeClass('form-inline');
        rl.addClass('seenkit-radio-list');

        $('.seenkit-radio').each(function(){

            $(this).attr('title', preview_label);

            $(this).wrap( "<div class='seenkit-wrap'></div>" );


            var radioBtn = $(this).children(':first');
            radioBtn.css('margin-right', '10px');
            if(radioBtn.is(':checked')){
                $(this).addClass('seenkit-radio-checked');
            }

            if(radioBtn.attr('value') !== ''){

                var lesson = $(this).children(':first').attr('value');
                ModalFactory.create({
                type: ModalFactory.types.CANCEL,
                //body: Templates.render('mod_quiz/seenkit_comment_modal_body', {}),
                body: getBody(lesson),
                large: true,
                }, $(this))
                .done(function(modal){
                    modal.getRoot().on(ModalEvents.hidden, function() {
                        modal.setBody('');
                    });
                    modal.getRoot().on(ModalEvents.shown, function() {
                        modal.setBody(getBody(lesson));
                    });
                });
            }

            radioBtn.on('click', function(event){
                event.stopPropagation();
            });
        });

        var query_array = window.location.search.substring(1).split('&');
        var intId = '';
        for(var i=0; i< query_array.length; i++){
            if(query_array[i].includes('intid')){
                intId = query_array[i].split('=')[1];
                break;
            }
        }

        if(intId !== ''){
            $(':radio[value="'+intId+'"]').prop('checked', true);
        }

        $('#seenkitadd').removeClass();
        $('#seenkitadd').addClass('seenkit-icon-button');
        $('#seenkitadd').show();

      }
    };
});