define(['jquery', 'core/modal_factory', 'core/modal_events'], function($, ModalFactory, ModalEvents) {
  var modalFunction = function(q_text, b_text, el){
    var trigger = el;
    ModalFactory.create({
      type: ModalFactory.types.SAVE_CANCEL,
      title: q_text,
      body: '<p>'+b_text+'</p>',
    }, trigger)
    .done(function(modal){
      modal.setSaveButtonText('Ok');
      modal.getRoot().on(ModalEvents.save, function() {
        document.location.href = trigger.attr('href');
      });
    });
  };

  return{
    init:
      function(q_text, b_text, trigger_class){
        $(trigger_class).each(function(){modalFunction(q_text, b_text, $(this));});
      }
  };
});