<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'seenkit', language 'en'
 *
 * @package   mod_seenkit
 * @copyright 2020 onwards Abaco Technology  {@link https://www.abacotechnology.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
$string['modulename'] = 'Seenkit recording';
$string['pluginname'] = 'Seenkit recording';
$string['modulenameplural'] = 'Seenkit recordings';
$string['seenkit_units'] = 'Seenkit recordings';
$string['adminsettings'] = 'Seenkit plugin settings';
$string['lessonheader'] = 'Select Seenkit recording';
$string['unit'] = 'Seenkit recording';
$string['modulename_help'] = 'The Seenkit module enable teachers to add recordings recorded with the Seenkit service.';
$string['seenkit:addinstance'] = 'Add a new Seenkit lesson';
$string['recorded'] = 'Recorded';
$string['privacy:metadata'] = 'This plugin does not save any pesonal data.';
