<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {

    $settings->add(new admin_setting_configtext('block_seenkit/api_key',
        get_string('api_key', 'block_seenkit'), get_string('api_key_desc', 'block_seenkit'), ''));

    $settings->add(new admin_setting_configtext('block_seenkit/api_secret',
        get_string('api_secret', 'block_seenkit'), get_string('api_secret_desc', 'block_seenkit'), ''));

    $settings->add(new admin_setting_configtext('block_seenkit/api_url',
        get_string('api_url', 'block_seenkit'), get_string('api_url_desc', 'block_seenkit'), 'https://api.seenkit.com/'));

	$settings->add(new admin_setting_configcheckbox('block_seenkit/scorm_exit_button',
        get_string('scorm_exit_button', 'block_seenkit'), get_string('scorm_exit_button_desc', 'block_seenkit'), 1));

}
